Rawhide Watch

Daily warnings for rawhide victims

Rawhide 2009/08/05: xulrunner and python-urlgrabber

Posted by adamwill on August 5, 2009

There are two problems in today’s Rawhide. First, xulrunner has been updated, but Firefox (and other Gecko-based applications) have not been rebuilt. If you update to today’s Rawhide and include the updated xulrunner, Firefox (and other Gecko-based applications applications) will not work. If you haven’t updated yet, you can avoid this problem by excluding xulrunner from your update: ‘yum update -x *xulrunner*’. Remember to take this out again once rebuilt Firefox and other packages have gone into Rawhide. If you already got hit by this problem, you need update to the rebuilt Firefox package, but as of the time of this writing, the build has not got through. You can attempt to manually revert xulrunner to its old version, as an alternative.

Secondly, you might find that yum seems unable to download packages properly, getting partway through, failing with a HTTP Error 200 message, trying the next mirror, and failing again. To fix this, update the python-urlgrabber package: ‘yum upgrade python-urlgrabber’.

Advertisements

Sorry, the comment form is closed at this time.

 
%d bloggers like this: